// Version: 1.0.0
import {test} from '@jest/globals';
import {__runLogin} from './login.test';
import {jestState} from '../form.spec';

/**
 * Run top info tests.
 * @return {Promise<void>}
 * @private
 */
export async function __runSettingsTabTests() {
    // example
    return Promise.resolve();
}

/**
 * Run settings Tab tests.
 * This test is a wrapper for group of tests.
 * @param {boolean} doLogin
 * @return {void}
 */
export function groupSettingsTab(doLogin = true) {
    if (doLogin) {
        test('LOGIN', async () => {
            await __runLogin();
        }, jestState.globals.globalTimeout);
    }
    test('SETTINGS TAB', async () => {
        await __runSettingsTabTests();
    }, jestState.globals.globalTimeout);
    // more test there
}
